Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class NcbType

    java.lang.Object
      nz.co.cks.tms.xml.NcbType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Ncb

public abstract class NcbType
extends java.lang.Object
implements java.io.Serializable

Class NcbType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private byte[]` | `_certificate` Field _certificate
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private boolean` | `_has_parentNcbId` keeps track of state for field: _parentNcbId
`private java.lang.String` | `_login` Field _login
`private java.lang.String` | `_name` Field _name
`private java.lang.String` | `_nameLast` Field _nameLast
`private java.lang.String` | `_namePrefix` Field _namePrefix
`private java.lang.String` | `_nameSuffix` Field _nameSuffix
`private int` | `_ncbId` Field _ncbId
`private NcbTypeType` | `_ncbType` Field _ncbType
`private int` | `_parentNcbId` Field _parentNcbId
`private java.lang.String` | `_password` Field _password

Constructor Summary
`NcbType()`

Method Summary
`void` | `deleteNcbId()` Method deleteNcbId
`void` | `deleteParentNcbId()` Method deleteParentNcbId
`byte[]` | `getCertificate()` Method getCertificateReturns the value of field 'certificate'.
`java.lang.String` | `getLogin()` Method getLoginReturns the value of field 'login'.
`java.lang.String` | `getName()` Method getNameReturns the value of field 'name'.
`java.lang.String` | `getNameLast()` Method getNameLastReturns the value of field 'nameLast'.
`java.lang.String` | `getNamePrefix()` Method getNamePrefixReturns the value of field 'namePrefix'.
`java.lang.String` | `getNameSuffix()` Method getNameSuffixReturns the value of field 'nameSuffix'.
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`NcbTypeType` | `getNcbType()` Method getNcbTypeReturns the value of field 'ncbType'.
`int` | `getParentNcbId()` Method getParentNcbIdReturns the value of field 'parentNcbId'.
`java.lang.String` | `getPassword()` Method getPasswordReturns the value of field 'password'.
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `hasParentNcbId()` Method hasParentNcbId
`boolean` | `isValid()` Method isValid
`void` | `setCertificate(byte[] certificate)` Method setCertificateSets the value of field 'certificate'.
`void` | `setLogin(java.lang.String login)` Method setLoginSets the value of field 'login'.
`void` | `setName(java.lang.String name)` Method setNameSets the value of field 'name'.
`void` | `setNameLast(java.lang.String nameLast)` Method setNameLastSets the value of field 'nameLast'.
`void` | `setNamePrefix(java.lang.String namePrefix)` Method setNamePrefixSets the value of field 'namePrefix'.
`void` | `setNameSuffix(java.lang.String nameSuffix)` Method setNameSuffixSets the value of field 'nameSuffix'.
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `setNcbType(NcbTypeType ncbType)` Method setNcbTypeSets the value of field 'ncbType'.
`void` | `setParentNcbId(int parentNcbId)` Method setParentNcbIdSets the value of field 'parentNcbId'.
`void` | `setPassword(java.lang.String password)` Method setPasswordSets the value of field 'password'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _certificate

    private byte[] _certificate

  Field _certificate

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _has_parentNcbId

    private boolean _has_parentNcbId

  keeps track of state for field: _parentNcbId

### _login

    private java.lang.String _login

  Field _login

### _name

    private java.lang.String _name

  Field _name

### _nameLast

    private java.lang.String _nameLast

  Field _nameLast

### _namePrefix

    private java.lang.String _namePrefix

  Field _namePrefix

### _nameSuffix

    private java.lang.String _nameSuffix

  Field _nameSuffix

### _ncbId

    private int _ncbId

  Field _ncbId

### _ncbType

    private NcbTypeType _ncbType

  Field _ncbType

### _parentNcbId

    private int _parentNcbId

  Field _parentNcbId

### _password

    private java.lang.String _password

  Field _password

Constructor Detail

### NcbType

    public NcbType()

Method Detail

### deleteNcbId

    public void deleteNcbId()

  Method deleteNcbId

### deleteParentNcbId

    public void deleteParentNcbId()

  Method deleteParentNcbId

### getCertificate

    public byte[] getCertificate()

  Method getCertificateReturns the value of field 'certificate'.

  Returns:
    the value of field 'certificate'.

### getLogin

    public java.lang.String getLogin()

  Method getLoginReturns the value of field 'login'.

  Returns:
    the value of field 'login'.

### getName

    public java.lang.String getName()

  Method getNameReturns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getNameLast

    public java.lang.String getNameLast()

  Method getNameLastReturns the value of field 'nameLast'.

  Returns:
    the value of field 'nameLast'.

### getNamePrefix

    public java.lang.String getNamePrefix()

  Method getNamePrefixReturns the value of field 'namePrefix'.

  Returns:
    the value of field 'namePrefix'.

### getNameSuffix

    public java.lang.String getNameSuffix()

  Method getNameSuffixReturns the value of field 'nameSuffix'.

  Returns:
    the value of field 'nameSuffix'.

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### getNcbType

    public NcbTypeType getNcbType()

  Method getNcbTypeReturns the value of field 'ncbType'.

  Returns:
    the value of field 'ncbType'.

### getParentNcbId

    public int getParentNcbId()

  Method getParentNcbIdReturns the value of field 'parentNcbId'.

  Returns:
    the value of field 'parentNcbId'.

### getPassword

    public java.lang.String getPassword()

  Method getPasswordReturns the value of field 'password'.

  Returns:
    the value of field 'password'.

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### hasParentNcbId

    public boolean hasParentNcbId()

  Method hasParentNcbId

### isValid

    public boolean isValid()

  Method isValid

### setCertificate

    public void setCertificate(byte[] certificate)

  Method setCertificateSets the value of field 'certificate'.

  Parameters:
    `certificate` - the value of field 'certificate'.

### setLogin

    public void setLogin(java.lang.String login)

  Method setLoginSets the value of field 'login'.

  Parameters:
    `login` - the value of field 'login'.

### setName

    public void setName(java.lang.String name)

  Method setNameSets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setNameLast

    public void setNameLast(java.lang.String nameLast)

  Method setNameLastSets the value of field 'nameLast'.

  Parameters:
    `nameLast` - the value of field 'nameLast'.

### setNamePrefix

    public void setNamePrefix(java.lang.String namePrefix)

  Method setNamePrefixSets the value of field 'namePrefix'.

  Parameters:
    `namePrefix` - the value of field 'namePrefix'.

### setNameSuffix

    public void setNameSuffix(java.lang.String nameSuffix)

  Method setNameSuffixSets the value of field 'nameSuffix'.

  Parameters:
    `nameSuffix` - the value of field 'nameSuffix'.

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### setNcbType

    public void setNcbType(NcbTypeType ncbType)

  Method setNcbTypeSets the value of field 'ncbType'.

  Parameters:
    `ncbType` - the value of field 'ncbType'.

### setParentNcbId

    public void setParentNcbId(int parentNcbId)

  Method setParentNcbIdSets the value of field 'parentNcbId'.

  Parameters:
    `parentNcbId` - the value of field 'parentNcbId'.

### setPassword

    public void setPassword(java.lang.String password)

  Method setPasswordSets the value of field 'password'.

  Parameters:
    `password` - the value of field 'password'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD